Public API · v1 · OpenAPI
API overview & guidesAPI Reference
Generated from the published, drift-checked OpenAPI contract. Read-only — send requests from your own client (the in-browser test client is disabled behind Cloudflare/CORS).
Public API Endpoints
Browse the available operations, then use the explorer below for request fields, response schemas, and authentication requirements.
Browse endpoint directory
| Method | Endpoint | Purpose |
|---|---|---|
| GET | /api/public/v1/account | Get Account |
| GET | /api/public/v1/article-templates | List Article Templates |
| GET | /api/public/v1/article-templates/{template_id} | Get Article Template |
| GET | /api/public/v1/audiences | List Audiences |
| POST | /api/public/v1/audiences | Create Audience |
| GET | /api/public/v1/audiences/{audience_id} | Get Audience |
| PATCH | /api/public/v1/audiences/{audience_id} | Update Audience |
| DELETE | /api/public/v1/audiences/{audience_id} | Delete Audience |
| GET | /api/public/v1/authors | List Authors |
| POST | /api/public/v1/authors | Create Author |
| GET | /api/public/v1/authors/{author_id} | Get Author |
| PATCH | /api/public/v1/authors/{author_id} | Update Author |
| DELETE | /api/public/v1/authors/{author_id} | Delete Author |
| POST | /api/public/v1/brand-setups | Start Brand Setup |
| GET | /api/public/v1/brand-setups/{setup_id} | Get Brand Setup |
| POST | /api/public/v1/brand-setups/{setup_id}/confirm | Confirm Brand Setup |
| GET | /api/public/v1/brands | List Brands |
| GET | /api/public/v1/brands/{brand_id} | Get Brand |
| PATCH | /api/public/v1/brands/{brand_id} | Update Brand |
| GET | /api/public/v1/brands/{brand_id}/keywords | List Brand Keywords |
| GET | /api/public/v1/brands/{brand_id}/projection | Get Brand Projection |
| POST | /api/public/v1/brands/{brand_id}/projection/apply | Apply Brand Projection |
| POST | /api/public/v1/brands/{brand_id}/projection/preview | Preview Brand Projection |
| POST | /api/public/v1/brands/{brand_id}/projection/rollback | Rollback Brand Projection |
| GET | /api/public/v1/brands/{brand_id}/source-policy | Get Brand Source Policy |
| PUT | /api/public/v1/brands/{brand_id}/source-policy | Put Brand Source Policy |
| POST | /api/public/v1/brands/{brand_id}/topics | Create Topic |
| POST | /api/public/v1/brands/{brand_id}/topics/generate | Generate Topics |
| POST | /api/public/v1/brands/{brand_id}/topics/rescore | Rescore Brand Topics |
| GET | /api/public/v1/briefs | List Briefs |
| POST | /api/public/v1/briefs | Create Brief |
| GET | /api/public/v1/briefs/{brief_id} | Get Brief |
| PATCH | /api/public/v1/briefs/{brief_id} | Update Brief |
| POST | /api/public/v1/briefs/{brief_id}/approve | Approve Brief |
| GET | /api/public/v1/briefs/{brief_id}/sections | List Brief Sections |
| GET | /api/public/v1/categories | List Categories |
| POST | /api/public/v1/categories | Create Category |
| GET | /api/public/v1/categories/{category_id} | Get Category |
| PATCH | /api/public/v1/categories/{category_id} | Update Category |
| DELETE | /api/public/v1/categories/{category_id} | Delete Category |
| GET | /api/public/v1/content | List Content |
| POST | /api/public/v1/content/generate | Generate Content |
| GET | /api/public/v1/content/items | List Content Items |
| POST | /api/public/v1/content/items | Create Content Item |
| GET | /api/public/v1/content/items/{content_item_id}/versions/{version_id}/relevant-links | Download Version Relevant Links |
| PATCH | /api/public/v1/content/items/{item_id} | Update Content Item |
| DELETE | /api/public/v1/content/items/{item_id} | Delete Content Item |
| POST | /api/public/v1/content/items/{item_id}/generate | Generate Content Item |
| GET | /api/public/v1/content/items/{item_id}/kit | Get Content Kit |
| POST | /api/public/v1/content/items/{item_id}/kit/approve | Approve Content Kit |
| POST | /api/public/v1/content/items/{item_id}/kit/components | Upsert Content Kit Component |
| DELETE | /api/public/v1/content/items/{item_id}/kit/components/{component_id} | Delete Content Kit Component |
| POST | /api/public/v1/content/items/{item_id}/kit/components/{component_id}/lock | Lock Content Kit Component |
| POST | /api/public/v1/content/items/{item_id}/kit/facts | Add Content Kit Fact |
| DELETE | /api/public/v1/content/items/{item_id}/kit/facts/{claim_id} | Delete Content Kit Fact |
| POST | /api/public/v1/content/items/{item_id}/kit/reject | Reject Content Kit |
| POST | /api/public/v1/content/items/{item_id}/kit/source-exclusions | Exclude Content Kit Source Domain |
| POST | /api/public/v1/content/items/{item_id}/restore-archive | Restore Archived Failed Draft |
| POST | /api/public/v1/content/rewrite | Create Rewrite |
| GET | /api/public/v1/content/{content_item_id} | Download Content |
| POST | /api/public/v1/content/{content_item_id}/checks | Check Draft |
| GET | /api/public/v1/content/{content_item_id}/diff | Diff Draft |
| POST | /api/public/v1/content/{content_item_id}/edits | Edit Draft |
| POST | /api/public/v1/content/{content_item_id}/restores | Restore Draft |
| GET | /api/public/v1/content/{content_item_id}/review-card | Get Review Card |
| POST | /api/public/v1/content/{content_item_id}/rewrites | Rewrite Draft |
| GET | /api/public/v1/content/{content_item_id}/sections | List Draft Sections |
| POST | /api/public/v1/content/{item_id}/publish | Publish Content Item |
| GET | /api/public/v1/documents | List Documents |
| GET | /api/public/v1/documents/{document_id} | Get Document |
| GET | /api/public/v1/imported-content | List Imported Content |
| GET | /api/public/v1/imported-content/{content_item_id} | Get Imported Content |
| GET | /api/public/v1/jobs | List Jobs |
| GET | /api/public/v1/jobs/{job_id} | Get Job Status |
| GET | /api/public/v1/org/settings | Get Org Settings |
| PATCH | /api/public/v1/org/settings | Update Org Settings |
| POST | /api/public/v1/pillar-strategies | Create Pillar Strategy |
| GET | /api/public/v1/pillar-strategies/{run_id} | Get Pillar Strategy |
| GET | /api/public/v1/pillars | List Pillars |
| POST | /api/public/v1/pillars | Create Pillar |
| GET | /api/public/v1/pillars/{pillar_id} | Get Pillar |
| PATCH | /api/public/v1/pillars/{pillar_id} | Update Pillar |
| DELETE | /api/public/v1/pillars/{pillar_id} | Delete Pillar |
| GET | /api/public/v1/ping | Ping |
| GET | /api/public/v1/program-templates | List Program Templates |
| GET | /api/public/v1/programs | List Programs |
| POST | /api/public/v1/programs | Create Program |
| GET | /api/public/v1/programs/{program_id} | Get Program |
| GET | /api/public/v1/programs/{program_id}/facts | List Program Facts |
| POST | /api/public/v1/programs/{program_id}/facts | Supply Program Facts |
| GET | /api/public/v1/programs/{program_id}/ideas | List Program Ideas |
| POST | /api/public/v1/programs/{program_id}/ideas | Add Program Idea |
| PATCH | /api/public/v1/programs/{program_id}/ideas/{idea_id} | Edit Program Idea |
| POST | /api/public/v1/programs/{program_id}/ideas/{idea_id}/approve | Approve Program Idea |
| POST | /api/public/v1/programs/{program_id}/ideas/{idea_id}/decline | Decline Program Idea |
| POST | /api/public/v1/programs/{program_id}/ideas:approve-all | Approve All Program Ideas |
| POST | /api/public/v1/programs/{program_id}/ideas:generate | Generate Program Ideas |
| GET | /api/public/v1/programs/{program_id}/pages | List Program Pages |
| POST | /api/public/v1/programs/{program_id}/pages:generate | Generate Program Pages |
| GET | /api/public/v1/programs/{program_id}/plan | List Program Plan Pages |
| POST | /api/public/v1/programs/{program_id}/plan | Add Program Plan Page |
| PATCH | /api/public/v1/programs/{program_id}/plan/{page_id} | Edit Program Plan Page |
| POST | /api/public/v1/programs/{program_id}/plan/{page_id}/approve | Approve Program Plan Page |
| POST | /api/public/v1/programs/{program_id}/plan/{page_id}/decline | Decline Program Plan Page |
| POST | /api/public/v1/programs/{program_id}/plan:approve-all | Approve All Program Plan Pages |
| POST | /api/public/v1/programs/{program_id}/plan:generate | Generate Program Plan |
| GET | /api/public/v1/properties | List Properties |
| POST | /api/public/v1/properties | Create Property |
| GET | /api/public/v1/properties/{property_id} | Get Property |
| PATCH | /api/public/v1/properties/{property_id} | Update Property |
| GET | /api/public/v1/reviewers | List Reviewers |
| GET | /api/public/v1/reviews | List Reviews |
| POST | /api/public/v1/reviews | Request Review |
| GET | /api/public/v1/reviews/{review_id} | Get Review |
| POST | /api/public/v1/reviews/{review_id}/assignments | Assign Review |
| POST | /api/public/v1/reviews/{review_id}/decisions | Decide Review |
| GET | /api/public/v1/tags | List Tags |
| POST | /api/public/v1/tags | Create Tag |
| GET | /api/public/v1/tags/{tag_id} | Get Tag |
| PATCH | /api/public/v1/tags/{tag_id} | Update Tag |
| DELETE | /api/public/v1/tags/{tag_id} | Delete Tag |
| GET | /api/public/v1/topics | List Topics |
| GET | /api/public/v1/topics/{topic_id} | Get Topic |
| GET | /api/public/v1/topics/{topic_id}/content | List Topic Content |
| GET | /api/public/v1/topics/{topic_id}/scores | Get Topic Scores |
| GET | /api/public/v2/organizations | List Organizations |
| GET | /api/public/v2/organizations/{organization_id}/access | Get Organization Access |
| GET | /api/public/v2/organizations/{organization_id}/account | Multi Org Get Account |
| GET | /api/public/v2/organizations/{organization_id}/article-templates | Multi Org List Article Templates |
| GET | /api/public/v2/organizations/{organization_id}/article-templates/{template_id} | Multi Org Get Article Template |
| GET | /api/public/v2/organizations/{organization_id}/audiences | Multi Org List Audiences |
| POST | /api/public/v2/organizations/{organization_id}/audiences | Multi Org Create Audience |
| GET | /api/public/v2/organizations/{organization_id}/audiences/{audience_id} | Multi Org Get Audience |
| POST | /api/public/v2/organizations/{organization_id}/brand-setups | Multi Org Start Brand Setup |
| GET | /api/public/v2/organizations/{organization_id}/brand-setups/{setup_id} | Multi Org Get Brand Setup |
| POST | /api/public/v2/organizations/{organization_id}/brand-setups/{setup_id}/confirm | Multi Org Confirm Brand Setup |
| GET | /api/public/v2/organizations/{organization_id}/brands | Multi Org List Brands |
| GET | /api/public/v2/organizations/{organization_id}/brands/{brand_id} | Multi Org Get Brand |
| PATCH | /api/public/v2/organizations/{organization_id}/brands/{brand_id} | Multi Org Update Brand |
| POST | /api/public/v2/organizations/{organization_id}/brands/{brand_id}/topics | Multi Org Create Topic |
| GET | /api/public/v2/organizations/{organization_id}/briefs | Multi Org List Briefs |
| POST | /api/public/v2/organizations/{organization_id}/briefs | Multi Org Create Brief |
| GET | /api/public/v2/organizations/{organization_id}/briefs/{brief_id} | Multi Org Get Brief |
| PATCH | /api/public/v2/organizations/{organization_id}/briefs/{brief_id} | Multi Org Update Brief |
| POST | /api/public/v2/organizations/{organization_id}/briefs/{brief_id}/approve | Multi Org Approve Brief |
| GET | /api/public/v2/organizations/{organization_id}/categories | Multi Org List Categories |
| POST | /api/public/v2/organizations/{organization_id}/categories | Multi Org Create Category |
| GET | /api/public/v2/organizations/{organization_id}/categories/{category_id} | Multi Org Get Category |
| PATCH | /api/public/v2/organizations/{organization_id}/categories/{category_id} | Multi Org Update Category |
| DELETE | /api/public/v2/organizations/{organization_id}/categories/{category_id} | Multi Org Delete Category |
| GET | /api/public/v2/organizations/{organization_id}/content | Multi Org List Content |
| POST | /api/public/v2/organizations/{organization_id}/content/items | Multi Org Create Content Item |
| GET | /api/public/v2/organizations/{organization_id}/content/items/{content_item_id}/versions/{version_id}/relevant-links | Multi Org Download Version Relevant Links |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/generate | Multi Org Generate Content Item |
| GET | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit | Multi Org Get Content Kit |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/approve | Multi Org Approve Content Kit |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/components | Multi Org Upsert Content Kit Component |
| DELETE | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/components/{component_id} | Multi Org Delete Content Kit Component |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/components/{component_id}/lock | Multi Org Lock Content Kit Component |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/facts | Multi Org Add Content Kit Fact |
| DELETE | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/facts/{claim_id} | Multi Org Delete Content Kit Fact |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/reject | Multi Org Reject Content Kit |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/kit/source-exclusions | Multi Org Exclude Content Kit Source Domain |
| POST | /api/public/v2/organizations/{organization_id}/content/items/{item_id}/restore-archive | Multi Org Restore Archived Failed Draft |
| GET | /api/public/v2/organizations/{organization_id}/content/{content_item_id} | Multi Org Download Content |
| POST | /api/public/v2/organizations/{organization_id}/content/{content_item_id}/checks | Multi Org Check Draft |
| GET | /api/public/v2/organizations/{organization_id}/content/{content_item_id}/diff | Multi Org Diff Draft |
| POST | /api/public/v2/organizations/{organization_id}/content/{content_item_id}/edits | Multi Org Edit Draft |
| POST | /api/public/v2/organizations/{organization_id}/content/{content_item_id}/restores | Multi Org Restore Draft |
| GET | /api/public/v2/organizations/{organization_id}/content/{content_item_id}/review-card | Multi Org Get Review Card |
| POST | /api/public/v2/organizations/{organization_id}/content/{content_item_id}/rewrites | Multi Org Rewrite Draft |
| GET | /api/public/v2/organizations/{organization_id}/content/{content_item_id}/sections | Multi Org List Draft Sections |
| POST | /api/public/v2/organizations/{organization_id}/content/{item_id}/publish | Multi Org Publish Content Item |
| GET | /api/public/v2/organizations/{organization_id}/documents | Multi Org List Documents |
| GET | /api/public/v2/organizations/{organization_id}/documents/{document_id} | Multi Org Get Document |
| GET | /api/public/v2/organizations/{organization_id}/jobs | Multi Org List Jobs |
| GET | /api/public/v2/organizations/{organization_id}/jobs/{job_id} | Multi Org Get Job Status |
| POST | /api/public/v2/organizations/{organization_id}/pillar-strategies | Multi Org Create Pillar Strategy |
| GET | /api/public/v2/organizations/{organization_id}/pillar-strategies/{run_id} | Multi Org Get Pillar Strategy |
| GET | /api/public/v2/organizations/{organization_id}/pillars | Multi Org List Pillars |
| POST | /api/public/v2/organizations/{organization_id}/pillars | Multi Org Create Pillar |
| GET | /api/public/v2/organizations/{organization_id}/pillars/{pillar_id} | Multi Org Get Pillar |
| PATCH | /api/public/v2/organizations/{organization_id}/pillars/{pillar_id} | Multi Org Update Pillar |
| GET | /api/public/v2/organizations/{organization_id}/properties | Multi Org List Properties |
| POST | /api/public/v2/organizations/{organization_id}/properties | Multi Org Create Property |
| GET | /api/public/v2/organizations/{organization_id}/properties/{property_id} | Multi Org Get Property |
| GET | /api/public/v2/organizations/{organization_id}/reviewers | Multi Org List Reviewers |
| GET | /api/public/v2/organizations/{organization_id}/reviews | Multi Org List Reviews |
| POST | /api/public/v2/organizations/{organization_id}/reviews | Multi Org Request Review |
| GET | /api/public/v2/organizations/{organization_id}/reviews/{review_id} | Multi Org Get Review |
| POST | /api/public/v2/organizations/{organization_id}/reviews/{review_id}/assignments | Multi Org Assign Review |
| POST | /api/public/v2/organizations/{organization_id}/reviews/{review_id}/decisions | Multi Org Decide Review |
| GET | /api/public/v2/organizations/{organization_id}/selection | Select Organization |
| GET | /api/public/v2/organizations/{organization_id}/tags | Multi Org List Tags |
| POST | /api/public/v2/organizations/{organization_id}/tags | Multi Org Create Tag |
| GET | /api/public/v2/organizations/{organization_id}/tags/{tag_id} | Multi Org Get Tag |
| PATCH | /api/public/v2/organizations/{organization_id}/tags/{tag_id} | Multi Org Update Tag |
| DELETE | /api/public/v2/organizations/{organization_id}/tags/{tag_id} | Multi Org Delete Tag |
| GET | /api/public/v2/organizations/{organization_id}/topics | Multi Org List Topics |
| GET | /api/public/v2/organizations/{organization_id}/topics/{topic_id}/content | Multi Org List Topic Content |
Loading API reference…